# Create a Data Manager Entity Creates a field collection (FC) definition - Data Feed (DMF), Datamart (DM), or Data Source (DMDS). Endpoint: POST /datamart.newfc/{TypeCode} Security: basic, X-PriceFx-jwt ## Path parameters: - `TypeCode` (string, required) The type code of the Field Collection you want to update. Enum: "DMF", "DM", "DMDS" ## Request fields (application/json): - `data` (object, required) - `data.uniqueName` (string, required) The name of the field collection. Special characters are not allowed, except the underscore ("_"). - `data.label` (string, required) The label for the new Datamart, Data Source, or Data Feed. - `data.persistedObjectClass` (string) Fully qualified name of the domain class whose persisted objects the Data Source is based on. - `data.sourceLabel` (string) Label of the source master object or template from which the Data Source was created. - `data.sourceTypeCode` (string) Short type code identifying the kind of master object the Data Source is based on. ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.csrfToken` (string) - `response.data` (array) - `response.data.version` (number) - `response.data.typedId` (string) - `response.data.uniqueName` (string) - `response.data.label` (string) - `response.data.fields` (array) - `response.data.keyFields` (array) - `response.data.lastUpdateByName` (string) - `response.data.sourceTypeCode` (string) - `response.data.sourceId` (string) - `response.data.sourceLabel` (string) - `response.data.fetchVerb` (string) - `response.data.bulkloadVerb` (string) - `response.data.type` (string) - `response.data.queryable` (boolean) - `response.data.view` (boolean) - `response.data.sourceName` (string) - `response.data.draft` (boolean) - `response.data.locked` (boolean) - `response.data.valid` (boolean) - `response.data.fieldNames` (array) - `response.data.keyFieldNames` (array) - `response.data.deployed` (boolean) - `response.data.auxiliary` (boolean) - `response.data.loadableFields` (array) - `response.data.createDate` (string) - `response.data.createdBy` (number) - `response.data.lastUpdateDate` (string) - `response.data.lastUpdateBy` (number) - `response.data.persistedObjectClass` (string) - `response.data.isPlasma` (boolean) - `response.endRow` (number) - `response.status` (number)